Bug 879458 - [abrt] ekiga-3.9.90-1.fc17: PVideoInputDevice_V4L2::Open: Process /usr/bin/ekiga was killed by signal 8 (SIGFPE)
Summary: [abrt] ekiga-3.9.90-1.fc17: PVideoInputDevice_V4L2::Open: Process /usr/bin/ek...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ekiga
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:967003437813efbe0f8310cc66c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-23 04:19 UTC by Paul DeStefano
Modified: 2013-03-03 22:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-03 22:32:39 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (3.59 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: environ (1.40 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: backtrace (106.51 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: gconf_subtree (4.65 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: cgroup (131 bytes, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details
File: smolt_data (2.67 KB, text/plain)
2012-11-23 04:19 UTC, Paul DeStefano
no flags Details

Description Paul DeStefano 2012-11-23 04:19:27 UTC
Description of problem:
I tried to receive a call-back.

Version-Release number of selected component:
ekiga-3.9.90-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        ekiga
crash_function: PVideoInputDevice_V4L2::Open
kernel:         3.6.6-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 PVideoInputDevice_V4L2::Open at vidinput_v4l2.cxx:224
: #1 PVideoInputDevice::CreateOpenedDevice at ptlib/common/videoio.cxx:1410
: #2 GMVideoInputManager_ptlib::open at ../lib/engine/components/ptlib/videoinput-manager-ptlib.cpp:129
: #3 Ekiga::VideoInputCore::internal_open at ../lib/engine/videoinput/videoinput-core.cpp:525
: #4 Ekiga::VideoInputCore::start_stream at ../lib/engine/videoinput/videoinput-core.cpp:364
: #5 PVideoInputDevice_EKIGA::Start at ../lib/engine/components/opal/opal-videoinput.cpp:105
: #6 OpalVideoMediaStream::Open at /usr/src/debug/opal-3.10.7/src/opal/mediastrm.cxx:1216
: #7 OpalConnection::OpenMediaStream at /usr/src/debug/opal-3.10.7/src/opal/connection.cxx:761
: #8 OpalLocalConnection::OpenMediaStream at /usr/src/debug/opal-3.10.7/src/opal/localep.cxx:331
: #9 OpalCall::OpenSourceMediaStreams at /usr/src/debug/opal-3.10.7/src/opal/call.cxx:620

Potential duplicate bug: 709105

Comment 1 Paul DeStefano 2012-11-23 04:19:29 UTC
Created attachment 650192 [details]
File: core_backtrace

Comment 2 Paul DeStefano 2012-11-23 04:19:31 UTC
Created attachment 650193 [details]
File: environ

Comment 3 Paul DeStefano 2012-11-23 04:19:33 UTC
Created attachment 650194 [details]
File: limits

Comment 4 Paul DeStefano 2012-11-23 04:19:35 UTC
Created attachment 650195 [details]
File: backtrace

Comment 5 Paul DeStefano 2012-11-23 04:19:37 UTC
Created attachment 650196 [details]
File: gconf_subtree

Comment 6 Paul DeStefano 2012-11-23 04:19:38 UTC
Created attachment 650197 [details]
File: cgroup

Comment 7 Paul DeStefano 2012-11-23 04:19:40 UTC
Created attachment 650198 [details]
File: smolt_data

Comment 8 Paul DeStefano 2012-11-23 04:40:58 UTC
I think this was when I tried to initiate a call-back.  The other one was receiveing a call.  Sorry, I got them confused.

backtrace_rating: 4
Package: ekiga-3.9.90-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 9 Fedora Update System 2013-02-21 16:13:05 UTC
ptlib-2.10.10-1.fc17,opal-3.10.10-1.fc17,ekiga-4.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ptlib-2.10.10-1.fc17,opal-3.10.10-1.fc17,ekiga-4.0.1-1.fc17

Comment 10 Fedora Update System 2013-02-21 16:17:12 UTC
ptlib-2.10.10-1.fc18,opal-3.10.10-1.fc18,ekiga-4.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ptlib-2.10.10-1.fc18,opal-3.10.10-1.fc18,ekiga-4.0.1-1.fc18

Comment 11 Fedora Update System 2013-02-24 08:31:51 UTC
Package ptlib-2.10.10-1.fc17, opal-3.10.10-1.fc17, ekiga-4.0.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ptlib-2.10.10-1.fc17 opal-3.10.10-1.fc17 ekiga-4.0.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2890/ptlib-2.10.10-1.fc17,opal-3.10.10-1.fc17,ekiga-4.0.1-1.fc17
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-03-03 22:32:41 UTC
ptlib-2.10.10-1.fc18, opal-3.10.10-1.fc18, ekiga-4.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-03-03 22:39:10 UTC
ptlib-2.10.10-1.fc17, opal-3.10.10-1.fc17, ekiga-4.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.